Home of the Squeezebox™ & Transporter® network music players.
Page 3 of 53 FirstFirst 1234513 ... LastLast
Results 21 to 30 of 522
  1. #21
    Senior Member kidstypike's Avatar
    Join Date
    Feb 2007
    Location
    Brindle
    Posts
    3,614
    Quote Originally Posted by Basemaster View Post
    hi first of all thanks for all the effort, I have been running piCorePlayer for a while now on a RPi3.

    Now testing the 6.0.0 on a brand new RPi4, but the LMS page, besides loading quite slow, refuses to let me set "No MySB" to "Yes". It always comes back as "No"

    Any ideas? For now I keep the RPi3 as server for a while, I first need a somewhat more silent fan for it, which can connect to the 3V... its too noisy now anyway.
    I agree the LMS page is slow to load (6-10 seconds), it's been like that for weeks.

    No problem using "nomysb" though, dot in "Yes", click the No MySB button, restart LMS.

    No mysqueezebox.com tab in pic below.

    Name:  nomy.jpg
Views: 1039
Size:  54.3 KB
    Server - LMS 8.0.0 Pi4B 4GB/Flirc case/pCP 6.0.0 18K library, playlists & LMS cache on SSD (ntfs)
    Study - Pi3B+/pCP 5.0.0/pi screen/HiFiBerry DAC+/jivelite,
    Lounge - Pi2/pCP 5.0.0 > HiFiBerry DIGI+ > AudioEngine DAC1 > AVI DM5
    Dining Room - Squeezebox Boom
    Garage - Squeezebox Touch > Edifier R980T

    Spares - 1xTouch, 1xSB3, 1xRadio, 7xRPi

  2. #22
    Senior Member
    Join Date
    Apr 2005
    Location
    UK/London
    Posts
    2,438
    I tried an in-situ update from 5 to 6 (because I don't have a spare SD card at the moment and if it all goes wrong I can do a fresh install) but it is not letting me do it because it wants the bluetooth stuff to be uninstalled.

    I reconfigured Squeezelite to use Analogue rather than Bluetooth and used the extension manager to try to remove stuff.
    Extension manager says:
    After a reboot these extensions will be permanently deleted:
    pcp-bluez-alsa.tcz
    pcp-bluez.tcz
    pcp-bt.tcz
    bluetooth-4.19.40-pcpCore_v7.tcz cannot be deleted.
    but after reboot I have the same issue - upgrade process says that bluetooth must be removed.
    Paul Webster
    http://dabdig.blogspot.com
    Author of "Now Playing" plugins covering Radio France (FIP etc), KCRW, Supla Finland, ABC Australia, CBC/Radio-Canada and RTE Ireland

  3. #23
    Senior Member paul-'s Avatar
    Join Date
    Jan 2013
    Posts
    3,045
    Sorry Paul,

    That was reported before, and I don't think I fixed it... It won't be till this evening before I can look at it.

    Paul
    piCorePlayer a small player for the Raspberry Pi in RAM.
    Homepage: https://www.picoreplayer.org

    Please donate if you like the piCorePlayer

  4. #24
    Senior Member paul-'s Avatar
    Join Date
    Jan 2013
    Posts
    3,045
    Quote Originally Posted by kidstypike View Post
    I agree the LMS page is slow to load (6-10 seconds), it's been like that for weeks.
    Are you guys running LMS8? LMS8 forced the use of https for connections to mysqueezebox. Which is why I added a date validation check on LMS startup. But if your system does not get a valid date in a reasonable amount of time, that could be causing the problems.
    piCorePlayer a small player for the Raspberry Pi in RAM.
    Homepage: https://www.picoreplayer.org

    Please donate if you like the piCorePlayer

  5. #25
    Senior Member kidstypike's Avatar
    Join Date
    Feb 2007
    Location
    Brindle
    Posts
    3,614
    Quote Originally Posted by paul- View Post
    Are you guys running LMS8? LMS8 forced the use of https for connections to mysqueezebox. Which is why I added a date validation check on LMS startup. But if your system does not get a valid date in a reasonable amount of time, that could be causing the problems.
    Yes, LMS8.
    Server - LMS 8.0.0 Pi4B 4GB/Flirc case/pCP 6.0.0 18K library, playlists & LMS cache on SSD (ntfs)
    Study - Pi3B+/pCP 5.0.0/pi screen/HiFiBerry DAC+/jivelite,
    Lounge - Pi2/pCP 5.0.0 > HiFiBerry DIGI+ > AudioEngine DAC1 > AVI DM5
    Dining Room - Squeezebox Boom
    Garage - Squeezebox Touch > Edifier R980T

    Spares - 1xTouch, 1xSB3, 1xRadio, 7xRPi

  6. #26

    There is no such product as "Support for HifiBerry Dac+HD"

    Quote Originally Posted by paul- View Post
    After nearly 8 months in beta, the pCP team is happy to announce the official release of piCorePlayer 6.0.0

    Significant changes

    pCP 6.0.0
    • Kernel 4.19.105
    • RPi Firmware Feb 20, 2020
    • Includes support for RPi4B boards, including new v1.2 boards.
    • RPi4B Support runs a 64 bit kernel for full 4GB memory support.
    • Support for HifiBerry Dac+ ADC Pro
    • Support for HifiBerry Dac+HD
    • Support for IQaudIO Codec+
    • Support for LED control on Hifiberry DAC+ based boards.
    • Added driver for Google voiceBonnet v2 (sound driver only)
    • Support for rtl8188fu (Sometimes marketed as 8188eus)
    • Latest Allo USBridgeSig Support.


    Interface Changes:
    • New pCP web interface themes(Light/Dark)
    • Added mirror repository support (Sourceforge)
    • Many changes to the Bluetooth support (Update bluetooth extension if doing insitu_updates)
    • Alsaequal now supports Bluetooth devices. Settings can be changed only when device is connected, but settings are retained.
    • Web pages are now in an extension (No longer in /home/tc/www) For faster boots,backups and easier www updates. NOTE: pcp_startup.sh is now in /usr/local/etc/init.d/


    Notes

    • Adding a file named "netusb" to the boot partition will automatically load/configure net-usb kernel modules.
    • Adding wpa_supplicant.conf to the boot partition will automatically enable wifi.


    Recommended Upgrade path.
    • Download new image and configure from scratch.
    • Insitu_update is availiable, and handles most installations. However, downgrading versions will not be possible.


    Downloads Can be found: https://www.picoreplayer.org/main_downloads.shtml
    Fantastic product. I'm 2 donations in !!

    There is no such product as "HifiBerry Dac+HD". Should this be DAC+PRO ??

  7. #27
    Senior Member Greg Erskine's Avatar
    Join Date
    Sep 2006
    Location
    Sydney, Australia
    Posts
    1,796
    https://www.hifiberry.com/docs/data-...asheet-dac-hd/

    Their naming is inconsistent between documentation and the silk screen.

    HiFiBerry DAC+ HD or HiFiBerry DAC+ Pro HD ???
    Last edited by Greg Erskine; 2020-03-09 at 20:28.

  8. #28
    Junior Member
    Join Date
    Mar 2011
    Posts
    3
    Quote Originally Posted by paul- View Post
    Are you guys running LMS8? LMS8 forced the use of https for connections to mysqueezebox. Which is why I added a date validation check on LMS startup. But if your system does not get a valid date in a reasonable amount of time, that could be causing the problems.
    I am running the latest "Logitech Media Server Version: 7.9.2 - 1578996832 @ Tue Jan 14 12:21:10 CET 2020" on the RPi3 and 4

    But the LMS page is slow in my setup also on the RPi3 with the piCorePlayer 5.0.0.0, so its not a 6.0.0 issue. I moved the RPi3 to a wireless connection a few weeks ago maybe that is related.

    But I rather have a working "No MySB" button in 6.0.0, the slowness of the LMS page I can live with

  9. #29
    Senior Member
    Join Date
    Apr 2005
    Location
    UK/London
    Posts
    2,438
    Tried in-situ from 5 to 6 again - this time I used extension manager to removed pcp-bt.tcz
    It appeared to work ... but ... some things fail (e.g. SSH not enabled and LMS does not start).
    I think this is because the system startup process fails to remount the boot partition so it does not find the "ssh" file and LMS cannot get to the configured data location.

    Suspected issue from boot log
    Code:
    Starting piCorePlayer v6.0.0 startup...
    Checking for boot files on mmcblk0p1...
    mount: /lib/libmount.so.1: version `MOUNT_2.33' not found (required by mount)
    mount: /lib/libmount.so.1: version `MOUNT_2.34' not found (required by mount)
    mount: /lib/libmount.so.1: version `MOUNT_2.30' not found (required by mount)
      Trying to mount /dev/mmcblk0p1.
      newpcp.cfg not found on mmcblk0p1.
    umount: can't unmount /mnt/mmcblk0p1: Invalid argument

    Edit:
    later...
    Tried to load extension "util-linux" from pCP repo

    Code:
    Tried to load extension "util-linux"
    
    Downloading: libcap-ng.tcz
    libcap-ng.tcz: OK
    /bin/mount: /lib/libmount.so.1: version `MOUNT_2.33' not found (required by /bin/mount)
    /bin/mount: /lib/libmount.so.1: version `MOUNT_2.34' not found (required by /bin/mount)
    /bin/mount: /lib/libmount.so.1: version `MOUNT_2.30' not found (required by /bin/mount)
    I suspect that the mount errors at the end are because it is trying to backup the changes.
    The listed dependencies are:
    libcap-ng.tcz
    libudev.tcz
    ncurses.tcz

    Edit2:
    Cause might be conflicting versions of libmount.so.1
    Code:
    ls -lrt /lib/libm*
    lrwxrwxrwx    1 root     root            12 Jan  1  1970 /lib/libm.so.6 -> libm-2.29.so
    lrwxrwxrwx    1 root     root            42 Jan  1  1970 /lib/libmount.so.1.1.0 -> /tmp/tcloop/libmount/lib/libmount.so.1.1.0
    lrwxrwxrwx    1 root     root            38 Jan  1  1970 /lib/libmount.so.1 -> /tmp/tcloop/libmount/lib/libmount.so.1
    lrwxrwxrwx    1 root     root            18 Jan  1  1970 /lib/libmount.so -> /lib/libmount.so.1
    -rwxr-xr-x    1 root     root        378272 Feb 25 03:28 /lib/libm-2.29.so
    and
    Code:
    ls -lrt /usr/lib/libm*
    lrwxrwxrwx    1 root     root            17 Jan  1  1970 /usr/lib/libmount.so.1 -> libmount.so.1.1.0
    lrwxrwxrwx    1 root     root            19 Jan  1  1970 /usr/lib/libm.so -> ../../lib/libm.so.6
    lrwxrwxrwx    1 root     root            40 Jan  1  1970 /usr/lib/libmount.so -> /tmp/tcloop/libmount/usr/lib/libmount.so
    -rwxr-xr-x    1 root     root        294272 Jul  2  2019 /usr/lib/libmount.so.1.1.0

    So .... from the console I did this ...
    sudo mv /lib/libmount.so.1 /lib/saved-libmount.so.1

    and I could then run mount from the console without errors.

    Of course, that does not survive a reboot but might help trace the issue with in-situ upgrade from 5 to 6
    Last edited by Paul Webster; 2020-03-10 at 04:15. Reason: Extra info
    Paul Webster
    http://dabdig.blogspot.com
    Author of "Now Playing" plugins covering Radio France (FIP etc), KCRW, Supla Finland, ABC Australia, CBC/Radio-Canada and RTE Ireland

  10. #30
    Junior Member
    Join Date
    Jan 2016
    Posts
    20
    Tried an in-situ upgrade from v5.0.1 to 6.0.0.
    Unable to connect afterwards. I was using wireless. Havent tried with cable yet. Seem to recall that all other in-situ upgrades has gone perfect earlier?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •